/* roboto-regular - latin */
@font-face {
    font-display: swap;
    /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: url('./fonts/roboto-v48-latin-regular.woff2') format('woff2');
    /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* roboto-600 - latin */
@font-face {
    font-display: swap;
    /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 600;
    src: url('./fonts/roboto-v48-latin-600.woff2') format('woff2');
    /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

@font-face {
    font-family: 'Migra';
    src: url('./fonts/Migra-Regular.eot');
    src: url('./fonts/Migra-Regular.eot?#iefix') format('embedded-opentype'),
        url('./fonts/Migra-Regular.woff2') format('woff2'),
        url('./fonts/Migra-Regular.woff') format('woff'),
        url('./fonts/Migra-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Migra';
    src: url('./fonts/Migra-Medium.eot');
    src: url('./fonts/Migra-Medium.eot?#iefix') format('embedded-opentype'),
        url('./fonts/Migra-Medium.woff2') format('woff2'),
        url('./fonts/Migra-Medium.woff') format('woff'),
        url('./fonts/Migra-Medium.ttf') format('truetype');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

html,
body {
    margin: 0;
    padding: 0;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    background: #f0f8ff;
    font-family: "Roboto", sans-serif;
    font-optical-sizing: auto;
    font-weight: 600;
    font-style: normal;
}

a {
    color: inherit;
    text-decoration: underline;
}

/* Style for the looping background video */
.background-video {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    object-fit: cover;
    z-index: 0;
    pointer-events: none;
}

.breadcrumb {
    position: absolute;
    top: 0;
    left: 0;
    width: 100vw;
    z-index: 100;
    font-size: 1.1rem;
    color: black;
    background-color: #FBFBFB;
    display: flex;
    align-items: center;
    gap: 0.6rem;
    padding: 0 2rem;

    box-sizing: border-box;
    overflow-x: auto;
    max-width: 100vw;
    font-weight: 400;

    .seperator:before {
        content: "\2192";
        /* offset to vertically center font */
        margin-bottom: 0.2em;
        display: block;
    }

    span {
        padding: 0.5rem 0;
        cursor: pointer;
    }

    span.active {
        font-size: 2rem;
        font-family: 'Migra';
        /* offset to vertically center font */
        margin-top: 0.1em;
        display: block;
    }
}

@media (prefers-color-scheme: dark) {
    .breadcrumb {
        color: white;
        background-color: #050505;
    }
}




#cy {
    width: 100vw;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    display: block;
}

.intro {
    max-width: 1000px;
    width: 90%;
    left: 50%;
    transform: translateX(-50%);
    position: absolute;
    top: 10vh;
    color: white;
    text-align: center;
    transition: all linear 1s;
}

.intro.hidden {
    margin-top: -100vh;
}

.intro p {
    max-width: 600px;
    line-height: 150%;
    margin: 0 auto;
}

.introLogoBar {
    max-width: 1500px;
    width: 95%;
    left: 50%;
    transform: translateX(-50%);
    position: absolute;
    bottom: 1vh;
    color: white;
    transition: all linear 1s;
}

.introLogoBar.hidden {
    margin-bottom: -100vh;
}

.foerderlogos {
    display: grid;
    gap: 3%;
    grid-template-columns: repeat(9, 1fr);
    align-items: center;

    img {
        max-width: 100%;
    }

    span {
        font-size: 12px;
        text-align: right;
    }

    .ccCol {
        display: flex;
        gap: 2px;
        flex-direction: column;
        align-items: flex-start;
        justify-content: center;
    }
}

@media (max-width: 1000px) {
    .intro p {
        font-size: 0.8rem;
    }

    .foerderlogos {
        grid-template-columns: repeat(5, 1fr);
        row-gap: 15px;
        /* total columns to span areas */
        grid-template-areas:
            "col3 col4 col5 col6 col7"
            "col1 col2 col2 col8 col9"
    }

    .foerderlogos span {
        font-size: 9px;
    }

    .col1 {
        grid-area: col1;
    }

    .col2 {
        grid-area: col2;
        max-height: 30px;
    }

    .col3 {
        grid-area: col3;
    }

    .col4 {
        grid-area: col4;
    }

    .col5 {
        grid-area: col5;
    }

    .col6 {
        grid-area: col6;
    }

    .col7 {
        grid-area: col7;
    }

    .col8 {
        grid-area: col8;
    }

    .col9 {
        grid-area: col9;
    }
}

.intro h2 {
    font-size: 4vmin;
    letter-spacing: 2px;
}

.intro h1 {
    font-size: 9vmin;
    font-family: 'Migra';
    margin: 0.2em;
}

.job-overlay {
    position: fixed;
    bottom: 3vh;
    right: 5vw;
    margin-left: 5vw;
    background: white;
    max-width: 340px;
    border: 2px solid black;
    font-weight: normal;
    font-size: .85em;
    line-height: 160%;
    height: auto;
    transition: all linear .7s;
    z-index: 100;

    .illu {
        position: absolute;
        bottom: 96%;
        right: -55px;
        height: 256px;
    }

    img {
        image-rendering: pixelated;
    }

    &.hidden {
        margin-right: -100vh;
    }

    .button-bar {
        border-bottom: 2px solid black;
        height: 20px;

        img {
            margin: -1px;
            height: 22px;
            cursor: pointer;
        }
    }

    .content {
        padding: 2rem 1.8rem;
        max-height: calc(100vh - 400px);
        overflow-y: scroll;
        overflow-x: hidden;
    }

    .job-logos {
        display: grid;
        gap: 1.2rem;
        margin: 0.8rem 0 1.2rem 0;
        grid-template-columns: repeat(2, 1fr);
        align-items: center;

        img {
            display: block;
            margin: 0 auto;
        }
    }

    .youtube-link {
        display: flex;
        margin-top: 1em;
        cursor: pointer;
        gap: 0.5rem;
        align-items: center;
    }
}

/* Add styles for popper tooltips */
.gif-tooltip img {
    max-width: 100px;
    image-rendering: pixelated;
    height: auto;
}


.youtube-overlay {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    z-index: 100;
    background-color: #ffffffe5;

    .closeButton {
        position: absolute;
        right: 20px;
        top: 20px;
        width: 20px;
        cursor: pointer;
    }

    iframe {
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translateX(-50%) translateY(-50%);
    }
}